summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJustin Lecher <jlec@gentoo.org>2016-11-05 11:41:51 +0100
committerJustin Lecher <jlec@gentoo.org>2016-11-05 12:12:45 +0100
commit21d34f85e7f0e73bacfcaf5617acb33ca1103039 (patch)
tree9254597b613c29ab2807176299dafd67397cdf29
parentapp-crypt/zuluCrypt: version bump (diff)
downloadgentoo-21d34f85e7f0e73bacfcaf5617acb33ca1103039.tar.gz
gentoo-21d34f85e7f0e73bacfcaf5617acb33ca1103039.tar.bz2
gentoo-21d34f85e7f0e73bacfcaf5617acb33ca1103039.zip
sys-kernel/aufs-sources: Bump to latest genpatches and linux release
Package-Manager: portage-2.3.2 Signed-off-by: Justin Lecher <jlec@gentoo.org>
-rw-r--r--sys-kernel/aufs-sources/Manifest15
-rw-r--r--sys-kernel/aufs-sources/aufs-sources-3.18.44.ebuild (renamed from sys-kernel/aufs-sources/aufs-sources-3.18.43-r1.ebuild)2
-rw-r--r--sys-kernel/aufs-sources/aufs-sources-4.4.29.ebuild86
-rw-r--r--sys-kernel/aufs-sources/aufs-sources-4.4.30.ebuild86
-rw-r--r--sys-kernel/aufs-sources/aufs-sources-4.8.6.ebuild86
5 files changed, 271 insertions, 4 deletions
diff --git a/sys-kernel/aufs-sources/Manifest b/sys-kernel/aufs-sources/Manifest
index 7c8677597a5..986136d14b7 100644
--- a/sys-kernel/aufs-sources/Manifest
+++ b/sys-kernel/aufs-sources/Manifest
@@ -2,9 +2,9 @@ DIST aufs-sources-3.18.25+_p20160822.tar.xz 171116 SHA256 824a1ef783c4091c20e80b
DIST aufs-sources-4.4_p20161010.tar.xz 171280 SHA256 87c6499fc960338ba1119b0b6487f803c20405f0c5fd569cb41bc26300a75ada SHA512 6029c2e053c739821db56b6e1b014206087c820dce9e884fff559ea1f3bd2ede6d455232165ed6f801754beff71ee9ec351162523d5b6f18c8250a38f2f6f5c3 WHIRLPOOL 3b38396832c9bbe3f53d5c2d0275c47d1b6feb55649ca914cc84173916026b6a4252e9ea9b6067544347affb07b587858f8bef06e61f501a4c7b101c14edd7b1
DIST aufs-sources-4.7_p20161010.tar.xz 170860 SHA256 f10e69a8d71bd94455510b5a4079dc6496b8c0d3b7c8f7aea15eca7a87526ca1 SHA512 8169ecf613dec0450764d5a7310c2b290fe961a58654e7d15b0ac319f67360e46ac4396b975da9e87f10a82f5e3086960d6e6b04c315cd3f52250a35297cbada WHIRLPOOL f7ca6b4afd5c718473a6bc1921bf8427be3c326c50c8a2167e0fbc66c9b4ac384e5ff49ff28faa834c912a5323aff895f22e1542262069cb6280799c64523bc4
DIST aufs-sources-4.8_p20161010.tar.xz 170924 SHA256 f80b6f194fcc4ee39c6f5bdcce912839d523d33ed610e729947d841daf2ee84d SHA512 6cf1814dacde202f61be9fdf522990b339952a708372da9d078aabd1a68a5a77e673d74b5d92ae9baa6ada01454636bc0268df474c4dc85408d490543ed9485b WHIRLPOOL 5e0ebb52a4c7bf0951d56f62f85b61ec8821d9d168a0444c439f4bb7b09c6f6c79065157752427d629e35335c3fdcb20a47b0f1f74e18fb926551a7f82226002
-DIST genpatches-3.18-42.base.tar.xz 1119348 SHA256 cbf2b331df87e9550ecae055c00693cca0c22c6f1855fe300c7ce8ecf8256bf9 SHA512 846abc55b81fcc71fadb3b1f301ca66a90016b3246615f0030be2902593cb7381529e7d320d084d7b8cb9a4a71ce5025b6cb825662e91868a9d07890ea44354f WHIRLPOOL 94df72a05bf23caad45f7a514fb1de4ca4867dad9db171c2840a0615f5f864e44c23627c92598c080b87e2477eae8cb4c3026030e301d8465c04714f5ddbef16
-DIST genpatches-3.18-42.experimental.tar.xz 61740 SHA256 120555c088458b0d6970a66bc755f13bd08a90f707cca99fe377c8ea893cd93e SHA512 fcbb5f9689eafeb723015dccfcacf9d4e72dff36953f322510642d7b162adc44ae8f3dc20ccaa6503dabc4249fdc722947236290b99a032754b7e72cc2a9d5d0 WHIRLPOOL d971b11102f34c2e039290124547e1aa903e2a069a3bbc12b5d864d12608bffc5cf275a30bfaa2b335823a7ca5c025125d481840a5772f55a7ee43616cd39818
-DIST genpatches-3.18-42.extras.tar.xz 16188 SHA256 f9006f6a725254184d5b98e2107eec50b04734fd4ae4be4f54e3c0e9affb7daf SHA512 f8088f56b94ebb7e97e430bcf17e46e67c3b292fcc80cc65aaba31f73fe3793ca8be4b06fb42127e8a436ceef8ba2f6f3f54bc758e38d67e32e34efd8f49ca41 WHIRLPOOL e1729cc21dbbe0319d20289ef8c70362da80f9d9dde423c85eb3a65fe1ab2e13a38f9cc1ae886297b387c3e18f8ee5dd21a8bfeef391aec2e166e55e374463dc
+DIST genpatches-3.18-43.base.tar.xz 1120732 SHA256 b56698cb12c7fafe59365ff569ca525fe8c0d399b634498af015e1b04a62e93d SHA512 6319e15cf7860bdb40abebcff1a91878a0a8187314f24fee53bd5678fcd958dfd0e13adc756cf371373abce9b6902b4b629e389d5ace78c3a2364511487ea891 WHIRLPOOL 416dfcb63a9468dd74909bbeb0c7fa8b8786733daa022bcd1ba405a33befc399cef9d55115e8c79178d12c204f2f8b3a3642966398697dd3aaca72643e2d32d5
+DIST genpatches-3.18-43.experimental.tar.xz 61720 SHA256 1f5fcb3613c13821c9757e7ad2f7b0ef0a0d51602f41b769a4e62e289c30c21f SHA512 947b151ae7c5c85809516edef3e50edf84d9543d9d6d6bb1463cdce20cffeff413f73d4326973ef9bad2d87aef2992e39b950c734068a934b066718790344f72 WHIRLPOOL d57650c9fa527124354db6b9f2ce8b0f7127f2ac4d5d635cad3a79c6395448ce0a0069a5f5ee30965b60e7e600371ced9dfd780fa9f640eb0ddc1c9785ba4314
+DIST genpatches-3.18-43.extras.tar.xz 16176 SHA256 5c2df2453a5d742d5b47758cc095910d5bb42e93ac3c7b4655c1d8ebd8c609c3 SHA512 f1f3365e62e059eb119db8cb789eef8e217dfeb1f350e9dfbff57789f1226f3c6fa31df69e86f3883af1ea0f3dd00f96d8a0b40508568c085f52604a4d9f1088 WHIRLPOOL aabbe19c34cad23ddf5ccb251afd8b735f1c1e4e3712e0d2c06ac6219a6ebb24f4f0dc8f5d5c6049e02a47b3d86e9e1b39a6324cb21c6e7b30771106a967ccb4
DIST genpatches-4.4-28.base.tar.xz 784432 SHA256 40b5a66857a5a0d8707782c642218e551f0dba2c1e3bd138c2b10a40f49d8440 SHA512 eaea6e6d3ad25360d07bbed3882a77d49d2a53e369fad754b691d28be72dfc7b44a22a04017986048689b5805e9013dd66a27a3dbb063d5ca4af366b9fa71e7d WHIRLPOOL d0bbbe004052c047c4090befa1488d864ebef32b76699aba7e34035cc3debc8d13e106b8abd19c4605aa04b06c6b8d4d28f9c86b804ae354d250b4641a57acd6
DIST genpatches-4.4-28.experimental.tar.xz 87788 SHA256 14bf426c45e1f680b3ef6e7fa67fb9046cb72da64b4b36d9736cefce6e979282 SHA512 4e53cfcc0faedcf3040cd31f1291388f1fb4d50873b1bdd4cb376e52ac608855f608ae9b5849e717632266bfa096d5117515ff2e0ca8e608a06cd97b1717710f WHIRLPOOL b02da5f954e588bd6144f89820ff449469b05629ca3992c6fff505b312bf9ef5bcd2d8db2a97922801db7fa2ec52f6d4f376bd29a49378f0cf8391fddac38bae
DIST genpatches-4.4-28.extras.tar.xz 16360 SHA256 6c1331851468c372e7f9ea2c456b458e2842aec4752d67817be2a9305df27fc8 SHA512 ca7b353f31e0b0460c78420b26ca8d82ae04f0efe5a395097471bd30d16744ba39e6e1e53ae857e2d4d1773a2ee30c9ce80ae855fc0d33c1d2c93e8ff5b35a66 WHIRLPOOL 16a92ff57cb514bd5b5942b293d290eb631bbeec7bfc13905dedbde83c1abe18050374c6217706d17a4b20dbc0d9f399b4fe10c304c14fefa460cdd95c920e6d
@@ -14,6 +14,12 @@ DIST genpatches-4.4-29.extras.tar.xz 16356 SHA256 c4f0d94bac7dee61b77e75ee706495
DIST genpatches-4.4-30.base.tar.xz 823044 SHA256 9c57b8bd64b62a4bf24f8fde252d5bdaf44c3ae86d759836b9ecd46eb1f6bfb5 SHA512 f50d16367d433b8118082dc1c7e23df1109c52065b09287bc70bd7d811f2ab000a94dd4f62c89a7617417d8d0df65cd2156cbd209687ec42be62cb7a36c5d569 WHIRLPOOL 93a2d5dc5da2eccb39c3552b5d56abbf93b1c72936e6101d9d0538d62c01c1452152cf8e7205b7c6391dd258388d469b9f0ebd0ee6c9ed0b95e2d65eba4ef3da
DIST genpatches-4.4-30.experimental.tar.xz 87764 SHA256 284dcf0dc30a5845f5a9c82f2130ff4b196f8c92923a6b6053a7d40010b45848 SHA512 cf74e739520ca8f4fd7108558bd581f61bfd7b73d94dec699d21ac53fddddac657db0994c5e71017c1cc079855d2699798489b7ca899f904e00a3753c5c154c5 WHIRLPOOL 96a94e53cba14b6acb44e1c67b92d8cf20b7fde0a46e99f9cf896c6ff49bb7c2e9682aec46a5e93f2d8c63790ba9817772f0258dbd4a0f85b215d4876e277bf3
DIST genpatches-4.4-30.extras.tar.xz 16368 SHA256 5ae402de247df572e8ea70d8ef23808b0c162cf31d4623327897ae54933adbf2 SHA512 edbd39ca766fc808ac34f868f28b05a0f8275fd5d1e62c8036d5204bfef34694383a07925c3b589d32d5f8ed8ac43fe1391d49071f02d7ac33bdd8249fad6b58 WHIRLPOOL eee136234d33cb39f5956e003eac9449889227f82a17e137dd8dd22a6dd8dfe7adaaaae4973bded4d0130771465aabf4c35b6e69220d20a9b4a002a5a93165e6
+DIST genpatches-4.4-31.base.tar.xz 837740 SHA256 e225b4bf52cb8765f6a6bf8b74e3c5415b8c221bd8fc4337cffa58f43a4b8dbf SHA512 f89ac910a91b5272b2ddcc2d68608db6e4c83fd8515f60514aa3bf7fecc00c7adb02fcdfe4d0ad9ea87d675389a2da492cd0d0a037e034d9a3d1a77d29f225ea WHIRLPOOL 517488397cd7fde3db623686ddfc85f7fe47fc5504d6b42112496e475cc79115d76d10d284f4c795d3738f97ecfd9297f0c5ebaa5577b9aeb35b778480b74a8d
+DIST genpatches-4.4-31.experimental.tar.xz 87744 SHA256 76690688b3c1f0140462547668d4e5bf2447ecae20ceb4cfb46834c1ba12b2dc SHA512 215b58f1cbcd3692989d0fc5bf80df49696dce73efbbe0892f5bab5a80af7bae75c846df9d5182b6372cde91fdfdd3299d466fd6730ee891b16291001411e2c0 WHIRLPOOL 7f37df43e74005a53668eccae839e27d8cacd4eac8a0d097ecec12c2a37f965b567604e3a1d383c140a22db3c327db662e2efb9cd6bdc3565ae98f5e186fc60f
+DIST genpatches-4.4-31.extras.tar.xz 16352 SHA256 a91fb73fc4a50b6eba05c43120eb13d2b33180c4ea5dc3e3fd69548040c5a15d SHA512 b50379ff5ce665339e20aaf055add9f182dd96138e0ee4d79b776a3aba56dfa67be7699d2e94334ef40a2a800c8b89db29a273b337c2de99c5069c9661f51c0a WHIRLPOOL c79e523eb12d5acffa0248f522c8f8bb2a56cb033ac7d0260c9df401936f8a034ef696d6cb17bb23db5fc407cb77d66200463fd0e23599bffd8a52fd02f5fb73
+DIST genpatches-4.4-32.base.tar.xz 838504 SHA256 590a7e00c4e14c15e243e2c11899e66813a89dcaeac2777b4c38e3b3337a6a99 SHA512 f4e9a0574b8d693aadafb5c0e823bd4d1a0e66560c01ab3cd0dae3d65f9c1efb600e7af3ebe31d3f94bcf8a80753c21df10a9b38a80afbb5977fe04e68d6e734 WHIRLPOOL ed96cce8eeb01370d44c9b0a4c5bc797d08027c4802608be032e845165d1e9829c8da581285193b8b4f01e1e4bb18d8f97ba22c0376dd730aeec207ab4e35c3c
+DIST genpatches-4.4-32.experimental.tar.xz 87776 SHA256 e0478a6c3ffa992396aa78db412ba966de7dc785d427ce931233c7fc09e45216 SHA512 77c04223a8b456bdf607d218aab63e26bb797a7150e9423254f78df7c0f6f520b56faea1d9577d734c4e12cac47fe72b9f060379141b2f4f7c83a5318a17c01d WHIRLPOOL 04c79c0e5e68b4bb3c692f78ac28bbe51f99cf99c441eae4cbda68466d2d541566a107692f88234dda3f3be2b388408b60fccf13faabf36c6535d7b3cdf713a8
+DIST genpatches-4.4-32.extras.tar.xz 16364 SHA256 5f5f268c22aa2d50ca56c0c7d82ce59aad23f0b4363426add34688ee414c2a5e SHA512 bf6f4931626b3fdd913c6ac22e411c472f595c38254c497e8bcfe6e2f5a9b6a0d065a24df4f6c7fc28f7da15af390c2012fb4e076599c7a811b6b4cd0ee1748b WHIRLPOOL 1fb0fe82962ffac364fa0f6037d2b265b435cde25b585c40b3d5ed280c93118eeb88c9ed5ad354be085b186108d4a55f8b14e5ff348133f30973ebf05acfb162
DIST genpatches-4.7-10.base.tar.xz 246032 SHA256 8733ad7fb8422aa7fb05b70dc84e91475e1a72a14fa9e2d2d94784053cee7e0b SHA512 e585a3c5b324dab1855f31c4ad5b879b0a7e46fb2d4884af715719bbd7ced642bd593113cdb88425bf6471b694c8b533ebd6220f7af1c53764891a001523c4aa WHIRLPOOL 95d5929202dce62fe08eba0391733f9e79f8a1875f8e02959b464579f5cad8d38e32f14c2ca36ebaada59c1951a4eb2b7cb8e6977e2d01d55b02d686519b7134
DIST genpatches-4.7-10.experimental.tar.xz 87016 SHA256 f5baf4816e4adac0885c3485732cdf0b4dcda8458388959a94ed002d2b4c67e3 SHA512 7dcf5a4ac69fe1f5db39d8f1b777556587a1695ac16bfa23b82ba60e5f56701b331c552d6efd51a835dba8a74b72a632621369ad6c1305fc9adb6b7fec8478de WHIRLPOOL 83460f7ccac4aa4e926d227bf5161be0fade31401d4ffcca1f6d7410e3c4e8825fa8f10d2b749e2549737efa54c20784b160277a6c9da2c88481d69b30b7a404
DIST genpatches-4.7-10.extras.tar.xz 17604 SHA256 4b72e52ab0eb2f8cece60c7298566ef5f17266d42dc9fa709b63dc823e052276 SHA512 d9a76128401b8cc6fd089f1fbb1c465e8042969e8e15a4d20c94fa2a041447a69c179b4864fd9f74615e2a78b73b046d14dee9559aa9fd32ca69dc4ef563dbed WHIRLPOOL c35b7eb76e6a99f3583a3ae30fb2e760b68659287087ca01c1a15e97944e57ed178e4c2b840dc480d1ccff5e3f36b7303b8ad159de63b250b9818bd8d5efd3a3
@@ -29,6 +35,9 @@ DIST genpatches-4.8-5.extras.tar.xz 17240 SHA256 fec9122e60b79bf8d69bf5bc023510c
DIST genpatches-4.8-6.base.tar.xz 85456 SHA256 fca1a8eb8b0a07562f39f2931eee645d64700fa3782d9e98434b1a74b53af5c8 SHA512 9df43752e3d8dc26fd13f99f4dbfaa038d2f0b43cb9b84d5801e00255ce1e7e01bea7ae79dc392f93eb02e1322c802f26a14535b03520ede8bb45946a44ab96b WHIRLPOOL 01229d3f8ce618cf78a758cd5d9d15a883825d72387e4b440e524a1b2825ea7120b0acdbaa08f011edd0d13014849a9caab51bd8778cd2df0e59bcdc48371753
DIST genpatches-4.8-6.experimental.tar.xz 91996 SHA256 3c301fcf3c2e62f1d993019460d2614fdfee3f3952ff3de1cc285956d188c04b SHA512 c0ddfe0fab0f3ed84a721755f1b0a935135b63b22a075077332c22f44def28e5b2a1d3b444bd22e988fe2e40711a475e81ad2396f10f6e7369556ce19a941d57 WHIRLPOOL a5b9dc2f9aaf58844fa2547440751bd9e7a7497b096c72a8829541135a7b1776cee6956c594f57d54b54ce8d0613e8718f31529e15c56b22c163c9039acb9a6c
DIST genpatches-4.8-6.extras.tar.xz 17244 SHA256 ae96b0e06f5e8897f68ec17ab0ac32561d2c52cb2423873384af65dc6de58519 SHA512 b6b0a6b75ffa3d19dc20d45b244a63fb9e9f71187c98ed7d3c346a0ebc5b4863b477727a549e4e52dfba17fe914cae9ec7b84b6f4508858e0ff0b3852fafb4ab WHIRLPOOL 6263175de6016b2c19c00beac8a0f99a3c2991bee8731bf5a7083221699d78d928a8e4cb0871216beffe87fa27b23ff18de87ea28097fb11660c8a8bee3cfea9
+DIST genpatches-4.8-7.base.tar.xz 123604 SHA256 e60431e2dbe2922b5b578d7401d5efc5fc13ae9d302f755c1980a60e47d24d45 SHA512 507f1324fab063f4c0e0efadeee87d9c47f6beb00d8d41410f3d90a67f5ae000c11d2981fd3c4a1407160b42c15634971ac9a58425467ca7fdab5d845da98afa WHIRLPOOL 54c58d70c02f3a346a4208962433702f7a7f75755f8ac123df2bf4e67da34f4f9752b0994c6cd04e2e52155e5b9b79948cf8d6a70265b6f5cefb90acf4ac68db
+DIST genpatches-4.8-7.experimental.tar.xz 91972 SHA256 17de925bba50ab165840774e5fab6485e375181f307e5697bd769748adca021f SHA512 e9e1dce527554ec3f2c081f0561ab6baf5a4c41d3bb9c1f1595c2d1888b774bc98b4ad6b29ed26e09bc3558b2f3b6846db543630eb5222d3d68d295decc20a4a WHIRLPOOL 657831244c411309d2d1b42b8f6ceffef2aa48f3710d018b6987aea25764a0a528cd4e8f57b770814d59093061e1cca7bd187963e75e95d732c7a1bd4e8dda0c
+DIST genpatches-4.8-7.extras.tar.xz 17232 SHA256 2f567d87267974fa1957c3361a1b14ac5574a6a23e750f82e74ca3857afa5aba SHA512 bcb166e60f1a8f71110aeebbe173520ee3c11ec234986dc37d6c2eda4372a49618720989acd752768a6c161aec95d668267e8e14a8ec01ef84ae1d52a278c2d3 WHIRLPOOL 45326e8b5f5c3d9ea7c58414475968f155208b27f9478d564411ae4eeba3e87e83e6db040f04b8689fee323ae219834681541516e47b92ebe6ce92823c539845
DIST linux-3.18.tar.xz 80934708 SHA256 becc413cc9e6d7f5cc52a3ce66d65c3725bc1d1cc1001f4ce6c32b69eb188cbd SHA512 2f0b72466e9bc538a675738aa416573d41bbbd7e3e2ffd5b5b127afde609ebc278cec5a3c37e73479607e957c13f1b4ed9782a3795e0dcc2cf8e550228594009 WHIRLPOOL 81634af631b7d30ccd1f4798f96f44d9aa0ba6609b73f2747eb6aebaf7a99487fb2dbd45767605186182533cb222bfd9236e8dd5e11a04fdb67c211e4e0a91d6
DIST linux-4.4.tar.xz 87295988 SHA256 401d7c8fef594999a460d10c72c5a94e9c2e1022f16795ec51746b0d165418b2 SHA512 13c8459933a8b80608e226a1398e3d1848352ace84bcfb7e6a4a33cb230bbe1ab719d4b58e067283df91ce5311be6d2d595fc8c19e2ae6ecc652499415614b3e WHIRLPOOL 02abc203d867404b9934aaa4c1e5b5dcbb0b0021e91a03f3a7e7fd224eed106821d8b4949f32a590536db150e5a88c16fcde88538777a26d0c17900f0257b1bc
DIST linux-4.7.tar.xz 90412100 SHA256 5190c3d1209aeda04168145bf50569dc0984f80467159b1dc50ad731e3285f10 SHA512 e8c02583e17e4fc4214fef694825fcb78c898266f1624deb1cdf56ab5c5fdfa669c5221122a7cf0d502ed6f921ff3797634acd9d294d29e98e3faa8a21920185 WHIRLPOOL e968c89ce714c8d918db6074dabac4b0200c57ff111260313cf5798eeefb8b5b10c1509b64e2ee611a78e81075c588a473b67f9802609b2fef9ebb87ae514d98
diff --git a/sys-kernel/aufs-sources/aufs-sources-3.18.43-r1.ebuild b/sys-kernel/aufs-sources/aufs-sources-3.18.44.ebuild
index cf6446e4abc..1a4afa34c96 100644
--- a/sys-kernel/aufs-sources/aufs-sources-3.18.43-r1.ebuild
+++ b/sys-kernel/aufs-sources/aufs-sources-3.18.44.ebuild
@@ -6,7 +6,7 @@ EAPI=5
ETYPE="sources"
K_WANT_GENPATCHES="base extras experimental"
-K_GENPATCHES_VER=42
+K_GENPATCHES_VER=43
K_DEBLOB_AVAILABLE="0"
UNIPATCH_STRICTORDER=1
inherit kernel-2 eutils readme.gentoo-r1
diff --git a/sys-kernel/aufs-sources/aufs-sources-4.4.29.ebuild b/sys-kernel/aufs-sources/aufs-sources-4.4.29.ebuild
new file mode 100644
index 00000000000..4504c41d555
--- /dev/null
+++ b/sys-kernel/aufs-sources/aufs-sources-4.4.29.ebuild
@@ -0,0 +1,86 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+ETYPE="sources"
+K_WANT_GENPATCHES="base extras experimental"
+K_GENPATCHES_VER=31
+K_DEBLOB_AVAILABLE="0"
+K_KDBUS_AVAILABLE="0"
+UNIPATCH_STRICTORDER=1
+inherit kernel-2 eutils readme.gentoo-r1
+
+AUFS_VERSION=4.4_p20161010
+AUFS_TARBALL="aufs-sources-${AUFS_VERSION}.tar.xz"
+# git archive -v --remote=git://git.code.sf.net/p/aufs/aufs4-standalone aufs${AUFS_VERSION/_p*} > aufs-sources-${AUFS_VERSION}.tar
+AUFS_URI="https://dev.gentoo.org/~jlec/distfiles/${AUFS_TARBALL}"
+
+KEYWORDS="~amd64 ~x86"
+HOMEPAGE="https://dev.gentoo.org/~mpagano/genpatches http://aufs.sourceforge.net/"
+IUSE="deblob experimental module vanilla"
+
+DESCRIPTION="Full sources including the Gentoo patchset for the linux kernel tree and aufs4 support"
+SRC_URI="
+ ${KERNEL_URI}
+ ${ARCH_URI}
+ ${AUFS_URI}
+ !vanilla? ( ${GENPATCHES_URI} )
+ "
+
+PDEPEND="=sys-fs/aufs-util-4*"
+
+README_GENTOO_SUFFIX="-r1"
+
+src_unpack() {
+ detect_version
+ detect_arch
+ if use vanilla; then
+ unset UNIPATCH_LIST_GENPATCHES UNIPATCH_LIST_DEFAULT
+ ewarn "You are using USE=vanilla"
+ ewarn "This will drop all support from the gentoo kernel security team"
+ fi
+
+ UNIPATCH_LIST="
+ "${WORKDIR}"/aufs4-kbuild.patch
+ "${WORKDIR}"/aufs4-base.patch
+ "${WORKDIR}"/aufs4-mmap.patch"
+
+ use module && UNIPATCH_LIST+=" "${WORKDIR}"/aufs4-standalone.patch"
+
+ unpack ${AUFS_TARBALL}
+
+ einfo "Using aufs4 version: ${AUFS_VERSION}"
+
+ kernel-2_src_unpack
+}
+
+src_prepare() {
+ if ! use module; then
+ sed -e 's:tristate:bool:g' -i "${WORKDIR}"/fs/aufs/Kconfig || die
+ fi
+ cp -f "${WORKDIR}"/include/uapi/linux/aufs_type.h include/uapi/linux/aufs_type.h || die
+ cp -rf "${WORKDIR}"/{Documentation,fs} . || die
+}
+
+src_install() {
+ kernel-2_src_install
+ dodoc "${WORKDIR}"/{aufs4-loopback,vfs-ino,tmpfs-idr}.patch
+ docompress -x /usr/share/doc/${PF}/{aufs4-loopback,vfs-ino,tmpfs-idr}.patch
+ readme.gentoo_create_doc
+}
+
+pkg_postinst() {
+ kernel-2_pkg_postinst
+ einfo "For more info on this patchset, and how to report problems, see:"
+ einfo "${HOMEPAGE}"
+ has_version sys-fs/aufs-util || \
+ elog "In order to use aufs FS you need to install sys-fs/aufs-util"
+
+ readme.gentoo_print_elog
+}
+
+pkg_postrm() {
+ kernel-2_pkg_postrm
+}
diff --git a/sys-kernel/aufs-sources/aufs-sources-4.4.30.ebuild b/sys-kernel/aufs-sources/aufs-sources-4.4.30.ebuild
new file mode 100644
index 00000000000..6c4f0ae44ac
--- /dev/null
+++ b/sys-kernel/aufs-sources/aufs-sources-4.4.30.ebuild
@@ -0,0 +1,86 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+ETYPE="sources"
+K_WANT_GENPATCHES="base extras experimental"
+K_GENPATCHES_VER=32
+K_DEBLOB_AVAILABLE="0"
+K_KDBUS_AVAILABLE="0"
+UNIPATCH_STRICTORDER=1
+inherit kernel-2 eutils readme.gentoo-r1
+
+AUFS_VERSION=4.4_p20161010
+AUFS_TARBALL="aufs-sources-${AUFS_VERSION}.tar.xz"
+# git archive -v --remote=git://git.code.sf.net/p/aufs/aufs4-standalone aufs${AUFS_VERSION/_p*} > aufs-sources-${AUFS_VERSION}.tar
+AUFS_URI="https://dev.gentoo.org/~jlec/distfiles/${AUFS_TARBALL}"
+
+KEYWORDS="~amd64 ~x86"
+HOMEPAGE="https://dev.gentoo.org/~mpagano/genpatches http://aufs.sourceforge.net/"
+IUSE="deblob experimental module vanilla"
+
+DESCRIPTION="Full sources including the Gentoo patchset for the linux kernel tree and aufs4 support"
+SRC_URI="
+ ${KERNEL_URI}
+ ${ARCH_URI}
+ ${AUFS_URI}
+ !vanilla? ( ${GENPATCHES_URI} )
+ "
+
+PDEPEND="=sys-fs/aufs-util-4*"
+
+README_GENTOO_SUFFIX="-r1"
+
+src_unpack() {
+ detect_version
+ detect_arch
+ if use vanilla; then
+ unset UNIPATCH_LIST_GENPATCHES UNIPATCH_LIST_DEFAULT
+ ewarn "You are using USE=vanilla"
+ ewarn "This will drop all support from the gentoo kernel security team"
+ fi
+
+ UNIPATCH_LIST="
+ "${WORKDIR}"/aufs4-kbuild.patch
+ "${WORKDIR}"/aufs4-base.patch
+ "${WORKDIR}"/aufs4-mmap.patch"
+
+ use module && UNIPATCH_LIST+=" "${WORKDIR}"/aufs4-standalone.patch"
+
+ unpack ${AUFS_TARBALL}
+
+ einfo "Using aufs4 version: ${AUFS_VERSION}"
+
+ kernel-2_src_unpack
+}
+
+src_prepare() {
+ if ! use module; then
+ sed -e 's:tristate:bool:g' -i "${WORKDIR}"/fs/aufs/Kconfig || die
+ fi
+ cp -f "${WORKDIR}"/include/uapi/linux/aufs_type.h include/uapi/linux/aufs_type.h || die
+ cp -rf "${WORKDIR}"/{Documentation,fs} . || die
+}
+
+src_install() {
+ kernel-2_src_install
+ dodoc "${WORKDIR}"/{aufs4-loopback,vfs-ino,tmpfs-idr}.patch
+ docompress -x /usr/share/doc/${PF}/{aufs4-loopback,vfs-ino,tmpfs-idr}.patch
+ readme.gentoo_create_doc
+}
+
+pkg_postinst() {
+ kernel-2_pkg_postinst
+ einfo "For more info on this patchset, and how to report problems, see:"
+ einfo "${HOMEPAGE}"
+ has_version sys-fs/aufs-util || \
+ elog "In order to use aufs FS you need to install sys-fs/aufs-util"
+
+ readme.gentoo_print_elog
+}
+
+pkg_postrm() {
+ kernel-2_pkg_postrm
+}
diff --git a/sys-kernel/aufs-sources/aufs-sources-4.8.6.ebuild b/sys-kernel/aufs-sources/aufs-sources-4.8.6.ebuild
new file mode 100644
index 00000000000..599277d0794
--- /dev/null
+++ b/sys-kernel/aufs-sources/aufs-sources-4.8.6.ebuild
@@ -0,0 +1,86 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+ETYPE="sources"
+K_WANT_GENPATCHES="base extras experimental"
+K_GENPATCHES_VER=7
+K_DEBLOB_AVAILABLE="0"
+K_KDBUS_AVAILABLE="0"
+UNIPATCH_STRICTORDER=1
+inherit kernel-2 eutils readme.gentoo-r1
+
+AUFS_VERSION=4.8_p20161010
+AUFS_TARBALL="aufs-sources-${AUFS_VERSION}.tar.xz"
+# git archive -v --remote=git://git.code.sf.net/p/aufs/aufs4-standalone aufs${AUFS_VERSION/_p*} > aufs-sources-${AUFS_VERSION}.tar
+AUFS_URI="https://dev.gentoo.org/~jlec/distfiles/${AUFS_TARBALL}"
+
+KEYWORDS="~amd64 ~x86"
+HOMEPAGE="https://dev.gentoo.org/~mpagano/genpatches http://aufs.sourceforge.net/"
+IUSE="deblob experimental module vanilla"
+
+DESCRIPTION="Full sources including the Gentoo patchset for the linux kernel tree and aufs4 support"
+SRC_URI="
+ ${KERNEL_URI}
+ ${ARCH_URI}
+ ${AUFS_URI}
+ !vanilla? ( ${GENPATCHES_URI} )
+ "
+
+PDEPEND="=sys-fs/aufs-util-4*"
+
+README_GENTOO_SUFFIX="-r1"
+
+src_unpack() {
+ detect_version
+ detect_arch
+ if use vanilla; then
+ unset UNIPATCH_LIST_GENPATCHES UNIPATCH_LIST_DEFAULT
+ ewarn "You are using USE=vanilla"
+ ewarn "This will drop all support from the gentoo kernel security team"
+ fi
+
+ UNIPATCH_LIST="
+ "${WORKDIR}"/aufs4-kbuild.patch
+ "${WORKDIR}"/aufs4-base.patch
+ "${WORKDIR}"/aufs4-mmap.patch"
+
+ use module && UNIPATCH_LIST+=" "${WORKDIR}"/aufs4-standalone.patch"
+
+ unpack ${AUFS_TARBALL}
+
+ einfo "Using aufs4 version: ${AUFS_VERSION}"
+
+ kernel-2_src_unpack
+}
+
+src_prepare() {
+ if ! use module; then
+ sed -e 's:tristate:bool:g' -i "${WORKDIR}"/fs/aufs/Kconfig || die
+ fi
+ cp -f "${WORKDIR}"/include/uapi/linux/aufs_type.h include/uapi/linux/aufs_type.h || die
+ cp -rf "${WORKDIR}"/{Documentation,fs} . || die
+}
+
+src_install() {
+ kernel-2_src_install
+ dodoc "${WORKDIR}"/{aufs4-loopback,vfs-ino,tmpfs-idr}.patch
+ docompress -x /usr/share/doc/${PF}/{aufs4-loopback,vfs-ino,tmpfs-idr}.patch
+ readme.gentoo_create_doc
+}
+
+pkg_postinst() {
+ kernel-2_pkg_postinst
+ einfo "For more info on this patchset, and how to report problems, see:"
+ einfo "${HOMEPAGE}"
+ has_version sys-fs/aufs-util || \
+ elog "In order to use aufs FS you need to install sys-fs/aufs-util"
+
+ readme.gentoo_print_elog
+}
+
+pkg_postrm() {
+ kernel-2_pkg_postrm
+}